Get a webhook subscription
curl --request GET \
--url https://{notifuseDomain}/api/webhookSubscriptions.get \
--header 'Authorization: Bearer <token>'import requests
url = "https://{notifuseDomain}/api/webhookSubscriptions.get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{notifuseDomain}/api/webhookSubscriptions.get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription": {
"id": "whsub_a1b2c3d4e5f6",
"name": "Production Webhook",
"url": "https://api.example.com/webhooks/notifuse",
"secret": "whsec_a1b2c3d4e5f6g7h8i9j0",
"settings": {
"event_types": [
"contact.created",
"contact.updated",
"email.sent"
],
"custom_event_filters": {
"goal_types": [
"purchase",
"subscription"
],
"event_names": [
"orders/fulfilled",
"payment.succeeded"
]
}
},
"event_types": [
"contact.created",
"contact.updated",
"email.sent"
],
"custom_event_filters": {
"goal_types": [
"purchase",
"subscription"
],
"event_names": [
"orders/fulfilled",
"payment.succeeded"
]
},
"enabled": true,
"last_delivery_at": "2024-01-15T10:30:00Z",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}Webhooks
Get a webhook subscription
Retrieves a specific webhook subscription by ID.
GET
/
api
/
webhookSubscriptions.get
Get a webhook subscription
Authorizations
API token for authentication
Query Parameters
The ID of the workspace
The ID of the webhook subscription
Response
Webhook subscription found
A webhook subscription that receives HTTP callbacks when events occur
Show child attributes
Show child attributes
⌘I
